/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.image;

/**
 * Enumeration that describes possible positions for overlay images.
 * 
 * @author juergens
 * @author deissenb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: E27754280FCD89B923A4AF6C111A0D26
 */
public enum EOverlayPosition {

	/** Left upper corner */
	TOP_LEFT,

	/** Right upper corner */
	TOP_RIGHT,

	/** Left lower corner */
	BOTTOM_LEFT,

	/** Right lower corner */
	BOTTOM_RIGHT

}